Bug 15737 - internal component error
Summary: internal component error
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-08 16:19 UTC by Sterling
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-09 15:34:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sterling 2000-08-08 16:19:48 UTC
Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 426, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 1022, in run
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 504, in
__call__
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1522, in
doInstall
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1261, in
instCallback
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 586, in
setPackage
TypeError: bad operand type(s) for /

Local variables in innermost frame:
self: <text.InstallProgressWindow instance at 8e74a58>
header: <header object at 8939700>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iurlinstall
UrlInstallMethod
p4
(dp5
S'baseUrl'
p6
S'ftp://silver1/pub/redhat/7.0beta/i386'
sbsS'initlevel'
p7
I3
sS'progressWindow'
p8
(itext
ProgressWindow
(dp9
S'scale'
p10
(isnack
Scale
(dp11
S'w'

Comment 1 Michael Fulbright 2000-08-08 16:26:01 UTC
What type of install (ftp, http, cdrom, etc)?

Did you do a workstation, server, or custom install?

Comment 2 Sterling 2000-08-08 16:35:34 UTC
I was using an FTP install from an internal LAN server.
Type was Workstation install, then GNOME and Games.


Comment 3 Sterling 2000-08-08 21:45:12 UTC
Have tried several more attempts using custom install with and without
installing X.
I should mention that this box has had RH6.0 and 6.2 installed before with no
problems.

In all cases the install appears to be proceeding normaly, packages are
installing and
then at some point (never the same package) it give's the error screen saying to
contact
bugzilla or simply states that install exited abnormally and eventually says
safe to reboot.

The only other time I got it to save the output seems incomplete;

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 426, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 1022, in run
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 504, in __call__
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1522, in
doInstall
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1265, in
instCallback
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/urlinstall.py", line 38, in
getFi

I'll continue to try several more things to see if it makes a difference but am
quickly running out of ideas.

Comment 4 Michael Fulbright 2000-08-09 15:34:05 UTC
I've seen this problem and fixed it yesterday - it seems if there was a glitch
in the ftp transfers the installer was crashing as you saw.

Please try again when the beta is refreshed.

Comment 5 Sterling 2000-08-09 22:32:56 UTC
I was able to get it to install by putting on a completly blank hard drive, no other partitions.  Tried several times and it worked fine.
I made more room on the other hard drive and it failed both hard drive and FTP installs, even though it has 2.5 Gig.

Will try again latter when the installer updates.



Note You need to log in before you can comment on or make changes to this bug.